#!/usr/bin/gawk -f

BEGIN{
  id = ARGV[1];
  ARGV[1] = "";

  RV_max = 250;  # km/s <-- remove outliers!
  realistic_sigma = 2.0;  # km/s

  OFMT="%.6f";
}
($5==id){
  jd = 2400000+$1;
  RV = $2;
  sigma = $3;
  dataset = FILENAME;

  if (sigma < realistic_sigma) {
    sigma = realistic_sigma;
  }

  if (RV < RV_max) {
    printf("%.6f  %12.6f  %12.6f  %.6f  %s\n", jd, RV, sigma, bessel(jd), dataset);
  }
}

func bessel(jd) {
#  return 2000.0 + (jd - 2451544.53) / 365.242189;
  return 1900.0 + (jd - 2415020.31352) / 365.242198781;
}


