#!/usr/bin/gawk -f

BEGIN{
  pi=3.1415926535;
  deg=pi/180.;
  eps=1.e-8;
  OFMT=CONVFMT="%.6f";

  print "# JD & separation rho [arcsec] & position angle theta [deg] & major [arcsec] & minor [arcsec] & PA [deg] of uncertainty ellipse & Besselian year & dataset";
  print "# Beware that PA is shifted by 180 deg wrt. to standard astrometry, because we have Aa+Ab in the centre."

}
!/\!/ && !/^#/ && (NF>0){
  jd = 2400000.0 + $1;
  sep=$2*1.e-3;
  ang=$3+180.+eps;
  if (ang > 360.) {
    ang=ang-360.;
  }
  major=$4*1.e-3+eps;
  minor=$5*1.e-3+eps;
  PA_ellipse=$6+eps;

  bessel = 1900.0 + (jd - 2415020.31352) / 365.242198781;
  dataset = "NPOI";

  print jd "	" sep "	" ang "	" major "	" minor "	" PA_ellipse "	" bessel "	" dataset;
} 

# this is ALSO wrong?!
#  jd = (year_julian + 4712.) * 365.25

# this is WRONG (if we compare JD to original FITS files)
#  jd = 2415020.31352 + (bessel - 1900.0) * 365.242198781


