#!/usr/bin/awk -f

BEGIN{
  pi = 3.1415926535; deg = pi/180.;
  mas = 1.e-3;
  eps = 1.e-8;
  OFMT=CONVFMT="%8.5f";

  print "# JD & separation rho [arcsec] & position angle theta [deg] & major [arcsec] & minor [arcsec] & PA [deg] of uncertainty ellipse & Besselian year & dataset";

  sigma_sep = 0.005;	# arcsec <- ODHADNUTA CHYBA INTERFEROMETRICKYCH MERENI, kdyz neni uvedena!
  sigma_ang = 1.;	# deg
  realistic_sigma_sep = 0.003;	# arcsec <- according to Tokovinin et al. (2015)
  realistic_sigma_ang = 0.500;	# deg
}
!/^#/ && (NF>0){
  yr = sprintf("%.4f", $1);
#  ang = (90.-$2)*deg;
  ang = $2+eps;
  err_ang = $3;
  sep = $4+eps;
  err_sep = $5;
  dataset = $14;

  if (err_ang == ".") { err_ang = sigma_ang; }
  if (err_sep == ".") { err_sep = sigma_sep; }
  if (err_ang < realistic_sigma_ang) { err_ang = realistic_sigma_ang; }
  if (err_sep < realistic_sigma_sep) { err_sep = realistic_sigma_sep; }

  err_ang = err_ang+eps;
  err_sep = err_sep+eps;

  major = err_sep;
  minor = sep*tan(err_ang*deg);
  PA_ellipse = ang;
  if (PA_ellipse > 360.0) { PA_ellipse = PA_ellipse - 360.0; }

  jd = 2415020.31352 + (yr - 1900.0) * 365.242198781;
  bessel = 1900.0 + (jd - 2415020.31352) / 365.242198781;

  print jd "	" sep " 	" ang "	" major "	" minor "	" PA_ellipse "	" yr "	" bessel "	" dataset;
}

func tan(x) {
  return sin(x)/cos(x);
}
 
